Subject: WARNING: "setup_irq" [/home/misbah/driver_Hwtimer/omap_timer.ko] undefined!

From: Misbah khan <[email-masked]>
Date: Sun, 17 Aug 2008 23:23:18 -0700 (PDT)

Hi all,

I am compiling a driver code which is giving the compilation error for
"setup_irq" function not defined. I am including all the header file for for
its declaration. Other inbuilt drivers which are already there with the
kernel source is also giving error if i compile seperatly. 

I have no idea why it is not able to find the setup_irq function where in it
has the extern declaration in the file /linux/irq.h 

Insted if this function if i use request_irq to hook the interrupt it
compiles but it does not gets the interrupt 

can any one suggest me where am i going wrong :(

What could be the possible reason to such problem ...

--- Misbah <><
-- 
View this message in context: http://www.nabble.com/WARNING%3A-%22setup_irq%22---home-misbah-driver_Hwtimer-omap_timer.ko--undefined%21-tp19026508p19026508.html
Sent from the linuxppc-embedded mailing list archive at Nabble.com.